<?
session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
	$objPer=new clsPer;
  $existecod=$objPer->ExisteRuta($cod_ruta);  
    $numelementos=count($control1);
	$control1_temp=$control1;
	
	$ini=$control1_temp[0][4];
	$fin=$control1_temp[$numelementos-1][5];
	
	
	$fecha_ruta=extraerfechamysql($fecha_ruta);
	if($_SESSION['tcombustible']==''){
		$tcombus=0;
	}elseif($_SESSION['tcombustible']!=''){
		$tcombus=$_SESSION['tcombustible'];
	}
	$testimado_ruta=extraerfechamysql($testimado_ruta);
	if($via=='A'){
	$testimado_ruta=$fecha_ruta;
	}else{
	$testimado_ruta=$testimado_ruta;
	}
	$objPer->registrarRutasV($cod_ruta,$matricula,$fecha_ruta,'1',$testimado_ruta,$via,'1',$_SESSION['th1'],$_SESSION['thvhm'],$_SESSION['tht1'],$_SESSION['ththm'],'SI',$tcombus,$nv,$tiemporuta); 
	
	if($via=='A'){	
	$n1=0; 
	while(list($clave,$valor)=each($control1)){  
	$n1++;
		$harranq_dch=$valor[0];
		$haire_dch=$valor[1];
		$htierra_dch=$valor[2];											
		$hapaga_dch=$valor[3];																				
		$origen=$valor[4];
		$destino=$valor[5];											
		$distancia=$valor[6];
		$obser=$valor[7];
		$combustible=$valor[8];
		$facturable=$valor[9];	
		$thpv=$valor[10];
		$thpt=$valor[11];
		$tvhm=$valor[12];
		$tvthm=$valor[13];
		$programado=$valor[14];
		$fechasalida=$valor[15];
		$fechallegada=$valor[16];
		$hdes=$valor[17];
		$tvdhm=$valor[18];	
		/* if($numelementos<=2){
			if($origen=='IQUITOS' || $origen=='LBC'){
			$ini=$origen;
			if($ini=='IQUITOS'){ $fin='LBC';}elseif($ini=='LBC'){ $fin='IQUITOS';}
			}
		}else{
		$ini='x';
		$fin='x';
		} */
		$objPer->registrarRutasVDeta($cod_ruta,$origen,$destino,$harranq_dch,$haire_dch,$htierra_dch,$hapaga_dch,$obser,$distancia,$combustible,$facturable,$n1,$n1,$thpv,$thpt,$valor[12],$valor[13],$valor[14],extraerfechamysql($valor[15]),extraerfechamysql($valor[16]),$valor[17],$valor[18],$valor[19],$valor[20],$ini,$fin);
		
		
		}
	}elseif($via=='F'){	
	$n1=0;	
	while(list($clave,$valor)=each($control1)){ 
	$n1++; 
		$harranq_dch="00:00";
		$haire_dch=$valor[1];
		$htierra_dch=$valor[2];											
		$hapaga_dch="00:00";																				
		$origen=$valor[4];
		$destino=$valor[5];											
		$distancia=$valor[6];
		$obser=$valor[7];
		$combustible=$valor[8];
		$facturable=$valor[9];
		$thpv=$valor[10];
		$thpt=$valor[11];
		$tvhm=$valor[12];
		$tvthm=$valor[13];
		$programado=$valor[14];	
		$fechasalida=$valor[15];
		$fechallegada=$valor[16];
					
		$objPer->registrarRutasVDeta($cod_ruta,$origen,$destino,$harranq_dch,$haire_dch,$htierra_dch,$hapaga_dch,$obser,$distancia,$combustible,$facturable,$n1,$n1,$thpv,$thpt,$valor[12],$valor[13],$valor[14],extraerfechamysql($valor[15]),extraerfechamysql($valor[16]),$valor[17],$valor[18],$valor[19],$valor[20],$ini,$fin);
		
		}
	
	} 
	$objPer->registrarBitacora($_SESSION['usuarioId'],'ruta',$cod_ruta,'grabar ruta',date("Y-m-d"),date("H:i"));
	
	//"SE GRABO SATISFACTORIAMENTE";

 //Redirigir("p_enviacorreo_avisoruta.php?correo=$correo&cod_ruta=$cod_ruta&matricula=$matricula&fecha_ruta=$fecha_ruta&via=$via");

?>